| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Details::Property::NoHandler Struct Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::NoHandler:
[legend]

## Public Member Functions
void | useReadHandler (const PropertyBase &) const
void | setReadHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getReadHandler () const
void | useUpdateHandler (const PropertyBase &) const
void | setUpdateHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getUpdateHandler () const

## Detailed Description

Definition at line 295 of file Property.h.

## Member Function Documentation

## ◆ getReadHandler()

std::function<void( PropertyBase& )> Gaudi::Details::Property::NoHandler::getReadHandler | ( |  | ) | const
| inline

Definition at line 300 of file Property.h.

300 { return nullptr; }

## ◆ getUpdateHandler()

std::function<void( PropertyBase& )> Gaudi::Details::Property::NoHandler::getUpdateHandler | ( |  | ) | const
| inline

Definition at line 305 of file Property.h.

305 { return nullptr; }

## ◆ setReadHandler()

void Gaudi::Details::Property::NoHandler::setReadHandler | ( | std::function< void(PropertyBase &)> |  | ) |
| inline

Definition at line 297 of file Property.h.

297 {
298 throw std::logic_error( "setReadHandler not implemented for this class" );
299 }
std::logic_error
STL class.

## ◆ setUpdateHandler()

void Gaudi::Details::Property::NoHandler::setUpdateHandler | ( | std::function< void(PropertyBase &)> |  | ) |
| inline

Definition at line 302 of file Property.h.

302 {
303 throw std::logic_error( "setUpdateHandler not implemented for this class" );
304 }
std::logic_error
STL class.

## ◆ useReadHandler()

void Gaudi::Details::Property::NoHandler::useReadHandler | ( | const PropertyBase & |  | ) | const
| inline

Definition at line 296 of file Property.h.

296 {}

## ◆ useUpdateHandler()

void Gaudi::Details::Property::NoHandler::useUpdateHandler | ( | const PropertyBase & |  | ) | const
| inline

Definition at line 301 of file Property.h.

301 {}

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h